File: changelog

package info (click to toggle)
lxqt-runner 0.14.1-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 1,004 kB
  • sloc: cpp: 1,981; makefile: 13
file content (197 lines) | stat: -rw-r--r-- 6,638 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
lxqt-runner (0.14.1-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.1.
  * Bumped minimum versions:
    - liblxqt0-dev (>= 0.14.1~)
    - liblxqt-globalkeys0-dev (>= 0.14.1~)
    - liblxqt-globalkeys-ui0-dev (>= 0.14.1~)
  * Improve the description for l10n a bit

 -- Alf Gaida <agaida@siduction.org>  Mon, 25 Feb 2019 01:07:36 +0100

lxqt-runner (0.14.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum versions:
    - liblxqt0-dev (>= 0.14.0~)
    - liblxqt-globalkeys0-dev (>= 0.14.0~)
    - liblxqt-globalkeys-ui0-dev (>= 0.14.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Fixed d/manpages
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 23:37:58 +0100

lxqt-runner (0.13.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.13.0.
  * Bumped build dependencies:
    - liblxqt0-dev to >= 0.13.0~
    - liblxqt-globalkeys0-dev to >= 0.13.0~
    - liblxqt-globalkeys-ui0-dev to >= 0.13.0~
  * Removed not used build dependency qtbase5-private-dev
  * Moved debian/.gitignore to ./.gitignore

 -- Alf Gaida <agaida@siduction.org>  Fri, 25 May 2018 00:30:26 +0200

lxqt-runner (0.12.0-6) unstable; urgency=medium

  * Changed Source and watch to lxqt
  * Bumped year in copyright

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 16:21:12 +0200

lxqt-runner (0.12.0-5) unstable; urgency=medium

  * debian/rules USE_MENU_CACHE=OFF (Closes:#896513)
  * Removed build dependency on libmenu-cache-dev
  * Bumped debhelper to 11~
  * Bumped compat to 11
  * Bumped Standards to 4.1.4, no changes needed
  * Fixed VCS fields for salsa
  * Fixed homepage
  * Removed trailing whitespaces from changelog

 -- Alf Gaida <agaida@siduction.org>  Mon, 23 Apr 2018 20:08:15 +0200

lxqt-runner (0.12.0-4) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields
  * Removed debian/gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 22:41:16 +0100

lxqt-runner (0.12.0-3) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Dec 2017 20:49:23 +0100

lxqt-runner (0.12.0-2) experimental; urgency=medium

  * Added missed breaks and replaces for lxqt-common << 0.12.0
    (Closes: #879912) - Thanks Andreas Beckmann <anbe@debian.org>

 -- Alf Gaida <agaida@siduction.org>  Fri, 27 Oct 2017 22:44:36 +0200

lxqt-runner (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.12.0.
  * Switched to experimental
  * Bumped liblxqt0-dev to >= 0.12.0
  * Bumped liblxqt-globalkeys0-dev to >= 0.12.0
  * Bumped liblxqt-globalkeys-ui0-dev to >= 0.12.0
  * Bumped Standards to 4.1.1 - no changes needed

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 22:48:40 +0200

lxqt-runner (0.11.1-2) unstable; urgency=medium

  * Bumped Standards to 4.0.0 - no changes needed
  * Added to Recommends lxqt-policykit, lxqt-qtplugin, lxqt-session
    (Closes: #866318)
  * Added Suggests: lxqt | lxqt-core

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 01:15:53 +0200

lxqt-runner (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.1.
  * Removed some build dependencies:
    - cmake
    - libqt5xdg-dev
    - libqt5xdgiconloader-dev
    - pkg-config
    - qtbase5-private-dev
    - qttools5-dev
    - qttools5-dev-tools
  * Bumped some build-dependencies:
    - liblxqt0-dev (>= 0.11.1)
    - liblxqt-globalkeys0-dev (>= 0.11.1)
    - liblxqt-globalkeys-ui0-dev (>= 0.11.1)
  * Bump years in d/copyright

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 19:27:11 +0100

lxqt-runner (0.11.0-2) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0.
  * Bumped Standards to 3.9.8, no changes needed
  * Bumped compat to 10
  * Removed --parallel from rules, standard compat 10
  * Bumped minimum version debhelper (>= 10)
  * Bumped minimum version libqtxdg-dev (>= 2.0.0)
  * Bumped minimum version liblxqt0-dev (>= 0.11.0)
  * Bumped minimum version liblxqt-globalkeys0-dev (>= 0.11.0),
  * Bumped minimum version liblxqt-globalkeys-ui0-dev (>= 0.11.0),
  * Added build dependency libmuparser-dev
  * Added build dependency libqt5svg5-dev
  * Added build dependency libqt5xdgiconloader-dev (>= 2.0.0)
  * Removed build dependency qtscript5-dev
  * Added Recommends lxqt-runner-l10n
  * Fixed VCS fields, using https and plain /git/
  * Fixed copyrights Format field to https
  * Fixed copyrights Source field to lxqt-runner
  * Bumped years in copyrights
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Exported LC_ALL=C.UTF-8, make builds reproducible

 -- Alf Gaida <agaida@siduction.org>  Wed, 20 Jul 2016 23:36:42 +0200

lxqt-runner (0.10.0-3) unstable; urgency=medium

  *  Remove dbg package in favor of dbgsym.

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 23:04:25 +0100

lxqt-runner (0.10.0-2) unstable; urgency=medium

  * Merge to unstable.
  * Update Vcs-* fields.
  * Set liblxqt minimal version to 0.10.0.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 15 Nov 2015 20:25:12 +0800

lxqt-runner (0.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 07 Nov 2015 12:11:59 +0800

lxqt-runner (0.9.0+20151014-1) experimental; urgency=medium

  * Cherry-picked upstream version 0.9.0+20151014.
  * Set new minimum versions for liblxqt and libqtxdg

 -- Alf Gaida <agaida@siduction.org>  Sat, 31 Oct 2015 17:13:50 +0100

lxqt-runner (0.9.0+20150831-1) experimental; urgency=medium

  [ Alf Gaida ]
  * Cherry-picked upstream version 0.9.0+20150831.
  * Cleaned up debian/.gitignore
  * Switched to experimental because of LXQt namespace change
  * Added minimum version for liblxqt0-dev (>= 0.9.0+20150911)
  * Changed mail address czchen
  * Added upstream signing key and use in watch file
  * Added lintian-override for missed manpage
  * Added source/options
  * Drop transitiona packages
  * Append  -Wl,--as-needed on linker flags
  * Fixed copyright to LGPL2.1+ only
  * Added upstream signing key and use in watch file
  * Beautified debian control
  * Initial debian files
  * Initial release (Closes: #747613)

  [ Andrew Lee (李健秋) ]
  * Adding upstream version 0.9.0.

 -- Alf Gaida <agaida@siduction.org>  Sun, 15 Feb 2015 18:41:53 +0100